.view-reason-code-rule-manager{
	.reasoncode-group-querys{ 
		padding: 0rem 0px 2rem 0px;
		border-bottom: 1px solid #cccccc;
	} 
    .must-enter-one{  
    	color: #34c0e2;
    } 
    .ad-common-line{  
    	// display: inline-flex; 
    	@include display-inline-flex; 
    	margin-top: 2rem; 
    	align-items: center; 
    	height: 3rem; 
    	&.reason-code-line{ 
		    label.control-label{ 
		        width: 7rem; 
		    }
		    .nbox-group-input{ 
		    	width: 10rem; 
		    	margin-left: .6rem; 
		    	height: 2.7rem; 
		    	input{ 
		    		height: 2.5rem; 
		    	} 
		    } 
		} 
		&.priority-line{
			.andon-content-ui-select{
				width: 10rem;
				margin-left: .6rem;
			}
		}
    }
    .reasoncode-group-btns{
    	padding: 15px 0px;
    }
    .public-stop-line{
        border-top: 1px #ccc solid;
    }
}

#model-detail-info-rule{
    .rule-tab-list{
    	.nav-tabs{
			background-color: aliceblue;
	        border-top-left-radius: 10px;
	        border-top-right-radius: 10px;
    	}
        li{
            height: 3rem;
            line-height: 3rem;
            padding: 0px 10px; 
            border-top-left-radius: 10px;
	        border-top-right-radius: 10px;
            span{
            	border-radius: 10px 10px 0 0;
            }
            &:hover{
            	border-color: #eee #eee #ddd;
            	background: #eee;
            }
            &.active{
            	background: white;
            }
        }
        
    }
    .tab-content{
    	// padding: 1.4rem 10px;
    	margin-left: 0px;
        //&.tab-one{
            .ad-col-40{
                text-align: right;
                padding-right: 1.4rem;
                label: {
                    margin-bottom: 0px;
                }
            }
            margin: 1rem;
            .ad-row{
                height: 4rem;
                line-height: 4rem;
                border-bottom: 1px solid rgba(0, 0, 0, 0.03);
                .ad-col-50:nth-child(1){
                    border-right: 1px solid rgba(6, 6, 6, 0.05);
                }
            }
        //}
        .ad-row{
            @include align-items(center);
        }
    }
    .ad-rows{
    	margin: 10px 0px;
    }
    .ad-row{
    	height: 3rem;
    	line-height: 3rem;
    }
    .rules-params-grid{
    	height: 15rem;
    }
    .params-btns{ 
        @include display-flex;
        @include justify-content(space-between);
    	@include align-items(center);
        height: 4rem;
        padding: 0px 10rem;
    }   
	
    .rule-indentify-search{
    	@include display-inline-flex;
    	// @include justify-content(center);
    	// @include align-items(center);
    	// animation: myfirst 0.3s linear;
    	width: 8rem;
    	height: 2rem;
        &.rule-detail-r-disabled-wrapper{
            background: #eeeeee;
        }
    }   
}
#model-prevent-stay-params{
	.params-btns{
        @include display-flex;
        @include justify-content(space-between);
    	@include align-items(center);
        height: 4rem;
        padding: 0px 10rem;
    }
    .params-grid{
    	height: 15rem;
    }
}

.model-rule-create{
	.m-ui-select{ 
		display: inline-block;
	    width: 10rem;
	    height: 2rem;
	}
    input[type=datetime-local]{
        height: 2.6rem;
    }
}

.grid-xbr-actions{
    .ui-grid-cell-contents{
        padding: 0px;
        &>span{
            @include display-flex;
            height: 100%;
            @include justify-content(space-between);
            @include align-items(center);
            @include flex-wrap(wrap);
            padding: 0px 5px;
        }
        div.action-item{
            
        }
        input{
            width: 1.3rem;
        }
    }
}


.xbr-reasoncode-array-wrapper{ 
    @include justify-content(space-between); 
    border: 1px #ccc solid; 
    border-radius: 4px; 
    width: 100%; 
    min-width: 120px; 
    span{ 
        @extend .one-line-text; 
        height: 2.3rem; 
        line-height: 2.3rem; 
        padding: 0px 5px; 
        @include flex(1); 
    } 
    i{ 
        min-width: 15px;
    } 
} 